class GetTicketTransactions {
  String? actionBy;
  String? actionDate;
  List<Attachments>? attachments;
  String? comments;
  String? statusDisplayText;
  String? statusName;
  String? ticketId;
  int? ticketTransactionId;

  GetTicketTransactions({this.actionBy, this.actionDate, this.attachments, this.comments, this.statusDisplayText, this.statusName, this.ticketId, this.ticketTransactionId});

  GetTicketTransactions.fromJson(Map<String, dynamic> json) {
    actionBy = json['actionBy'];
    actionDate = json['actionDate'];
    if (json['attachments'] != null) {
      attachments = <Attachments>[];
      json['attachments'].forEach((v) {
        attachments!.add(new Attachments.fromJson(v));
      });
    }
    comments = json['comments'];
    statusDisplayText = json['statusDisplayText'];
    statusName = json['statusName'];
    ticketId = json['ticketId'];
    ticketTransactionId = json['ticketTransactionId'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = Map<String, dynamic>();
    data['actionBy'] = this.actionBy;
    data['actionDate'] = this.actionDate;
    if (this.attachments != null) {
      data['attachments'] = this.attachments!.map((v) => v.toJson()).toList();
    }
    data['comments'] = this.comments;
    data['statusDisplayText'] = this.statusDisplayText;
    data['statusName'] = this.statusName;
    data['ticketId'] = this.ticketId;
    data['ticketTransactionId'] = this.ticketTransactionId;
    return data;
  }
}

class Attachments {
  int? attachmentId;
  String? fileName;

  Attachments({this.attachmentId, this.fileName});

  Attachments.fromJson(Map<String, dynamic> json) {
    attachmentId = json['attachmentId'];
    fileName = json['fileName'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> data = Map<String, dynamic>();
    data['attachmentId'] = this.attachmentId;
    data['fileName'] = this.fileName;
    return data;
  }
}
